<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/drawerLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/ui_surface">

    <View
        android:id="@+id/v_more_category"
        android:layout_width="92dp"
        android:layout_height="32dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/bg_more_category_default"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_tag_number"
        android:layout_width="12dp"
        android:layout_height="12dp"
        android:background="@drawable/background_shape_theme_radius_999"
        android:gravity="center"
        android:textColor="@color/text_aw_primary"
        android:textSize="8sp"
        android:visibility="invisible"
        app:layout_constraintEnd_toEndOf="@id/v_more_category"
        app:layout_constraintTop_toTopOf="@id/v_more_category"
        tools:text="5"
        tools:visibility="visible" />

    <TextView
        android:id="@+id/tv_more_category"
        style="@style/TextCaption1B"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:drawablePadding="4dp"
        android:gravity="center"
        android:text="@string/more_category"
        app:drawableStartCompat="@drawable/ic_basic_classification"
        app:layout_constraintBottom_toBottomOf="@id/v_more_category"
        app:layout_constraintEnd_toEndOf="@id/v_more_category"
        app:layout_constraintStart_toStartOf="@id/v_more_category"
        app:layout_constraintTop_toTopOf="@id/v_more_category" />

    <View
        android:id="@+id/v_search_category"
        android:layout_width="0dp"
        android:layout_height="32dp"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="12dp"
        android:background="@drawable/bg_shape_ui_container_2_radius_999"
        app:layout_constraintBottom_toBottomOf="@id/v_more_category"
        app:layout_constraintEnd_toStartOf="@id/v_more_category"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/v_more_category" />

    <ImageView
        android:id="@+id/iv_search_category"
        android:layout_width="14dp"
        android:layout_height="14dp"
        android:layout_marginStart="12dp"
        app:layout_constraintBottom_toBottomOf="@id/v_search_category"
        app:layout_constraintStart_toStartOf="@id/v_search_category"
        app:layout_constraintTop_toTopOf="@id/v_search_category"
        app:srcCompat="@drawable/ic_search"
        app:tint="@color/text_instance" />

    <TextView
        android:id="@+id/tv_search_category"
        style="@style/TextBody2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:text="@string/search_category_tags"
        android:textColor="@color/text_instance"
        app:layout_constraintBottom_toBottomOf="@id/v_search_category"
        app:layout_constraintStart_toEndOf="@id/iv_search_category"
        app:layout_constraintTop_toTopOf="@id/v_search_category" />

    <RelativeLayout
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginTop="8dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/v_more_category">

        <LinearLayout
            android:id="@+id/categoryContainer"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="1dp"
            android:orientation="horizontal">

            <com.gh.gamecenter.common.view.RadiusCardView
                android:id="@+id/cv_category"
                android:layout_width="80dp"
                android:layout_height="match_parent"
                android:layout_marginTop="8dp"
                app:topRightRadius="8dp">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/categoryRv"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/bg_category_sidebar" />
            </com.gh.gamecenter.common.view.RadiusCardView>


            <FrameLayout
                android:id="@+id/gamesContainer"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </LinearLayout>

        <include
            android:id="@+id/reuse_no_connection"
            layout="@layout/reuse_no_connection" />

        <include
            android:id="@+id/reuse_none_data"
            layout="@layout/reuse_none_data" />

        <include
            android:id="@+id/reuse_data_exception"
            layout="@layout/reuse_data_exception" />

        <include
            android:id="@+id/reuse_loading"
            layout="@layout/reuse_loading"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true" />
    </RelativeLayout>

    <ImageView
        android:id="@+id/guideContainer"
        android:layout_width="244dp"
        android:layout_height="57dp"
        android:layout_marginEnd="8dp"
        android:src="@drawable/pic_category_guide"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@id/v_more_category"
        tools:visibility="visible" />
</androidx.constraintlayout.widget.ConstraintLayout>